import { getProjectNameFrmGit, getSpawnOutput } from './startSever-sonarQube';
import path from 'path'
function showMsgPopUp(condition){
    // java -jar ./IDEMessagePluginRecent.jar project_name "BothStagedAndUnstaged"  server_url java_version_output
    const command = 'java'
    const params = ['-jar',`${getPopupJarPath()}`,getProjectNameFrmGit(),condition,'java version 11']
    switch(condition){
        case 'NoIssueFound' :
            getSpawnOutput(command,params)
            break;
        case 'IssueFound' :
            getSpawnOutput(command,params)
            break;
        case 'BothStagedAndUnstaged' : 
            getSpawnOutput(command,params)
            break;
        default:
            break
        
    }
}


function getPopupJarPath(){
    return path.resolve(__dirname,
    'java-jar',
    'IDEMessagePluginRecent.jar')
  }


export {
    showMsgPopUp
}




