"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Logger = void 0;
function _typeof(o) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (o) { return typeof o; } : function (o) { return o && "function" == typeof Symbol && o.constructor === Symbol && o !== Symbol.prototype ? "symbol" : typeof o; }, _typeof(o); }
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }
function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, _toPropertyKey(descriptor.key), descriptor); } }
function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); Object.defineProperty(Constructor, "prototype", { writable: false }); return Constructor; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == _typeof(i) ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != _typeof(t) || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != _typeof(i)) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
// const SUCCESS_TYPE = 'success';
// const FAILURE_TYPE = 'failure';
// const INFO_TYPE = 'info';
// function logger() {
//   this.colors = {
//     'success': ['\x1b[36m', '\x1b[0m'],
//     'failure': ['\x1b[31m', '\x1b[0m'],
//     'info': ['\x1b[33m', '\x1b[0m']
//   }
//   this.consoleLogger = console;
//   return {
//     SUCCESS_TYPE,
//     FAILURE_TYPE,
//     INFO_TYPE,
//     error: () => { },
//     info: () => { },
//     log: (type, message) => {
//       const color = this.colors[type];
//       console.log(type, color)
//       this.consoleLogger.log(`${color[0]}${message}${color[1]}`)
//     }
//   }
// }
// module.exports = {
//   Logger: logger()
// }
var LoggerImpl = /*#__PURE__*/function () {
  function LoggerImpl() {
    _classCallCheck(this, LoggerImpl);
    this.SUCCESS_TYPE = 'success';
    this.FAILURE_TYPE = 'failure';
    this.INFO_TYPE = 'info';
    this.colors = {
      'success': ['\x1b[36m', '\x1b[0m'],
      'failure': ['\x1b[31m', '\x1b[0m'],
      'info': ['\x1b[33m', '\x1b[0m']
    };
    this.consoleLogger = console;
  }
  return _createClass(LoggerImpl, [{
    key: "error",
    value: function error(err) {
      this.consoleLogger.error(err);
    }
  }, {
    key: "info",
    value: function info() {}
  }, {
    key: "log",
    value: function log(type, message) {
      var color = this.colors[type];
      this.consoleLogger.log("".concat(color[0]).concat(message).concat(color[1]));
    }
  }]);
}();
var Logger = exports.Logger = new LoggerImpl();